Subject: Re: bug#42371: Grafts max out build slots without being queued

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 15 Jul 2020 13:13:46 -0400

Hello,

Maxim Cournoyer <[email-masked]> writes:

> It seems that grafts trigger the problem, as passing the --no-grafts
> option works around it.  Could it be that grafts can't somehow be queued
> like normal builds, adapting to fit to the available build slots?

I sent this message too early; the '--no-grafts' option does *not* work
around the issue... I wonder what triggers this here? I commonly build
things (sometimes hundreds of packages at the same time) and never ran
into this issue.

Maxim